Difficulty: trivial Fixed in Releases:  
ull/2503

  

Description

By default gravatar is on, however, I don't think this is a good practice.  Deploying a tool inside a data center for managing servers

you don't necessarily expect it to be making calls an external web service, and leaking potentially confidential information to the

outside world (email hashes, referrers, etc).

There's plenty of debates about the pros and cons of gravatar, including its privacy implications, for example here: 

http://meta.stackexchange.com/questions/44717/is-gravatar-a-privacy-risk

I tend to agree with the first post against gravatar, which is why I think it should be an opt-in feature not an opt-out feature.

Related issues:

Related to Foreman - Feature #2247: Add setting to disable gravatar Closed 02/23/2013

Associated revisions

Revision 73686591 - 07/01/2015 03:19 AM - Stephen Benjamin

fixes #10959 - gravatar should be opt-in not opt-out

History

#1 - 06/30/2015 12:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2503 added

- Pull request deleted ()

#2 - 07/01/2015 03:21 AM - Ohad Levy

- Related to Feature #2247: Add setting to disable gravatar added

#3 - 07/01/2015 03:41 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 63

#4 - 07/01/2015 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 73686591d30684062fc99e1fe09d640629e4d5a7.
